Subject: bug#44334: closed (Re: bug#44334: 28.0.50; [eldoc] Impossible to avoid creating the *eldoc for xxx* buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Oct 2020 22:41:02 +0000

Your bug report

#44334: 28.0.50; [eldoc] Impossible to avoid creating the *eldoc for xxx* buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44334: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44334
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44334: 28.0.50; [eldoc] Impossible to avoid creating the *eldoc for xxx* buffer
From: João Távora <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: Xu Chunyang <[email-masked]>, [email-masked]
Date: Fri, 30 Oct 2020 22:40:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

João Távora <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> João Távora <[email-masked]> writes:
>>
>>> The buffer is an implementation detail for the member of 
>>> eldoc-display-functions that writes to the echo area,
>>> so it's hard to do away with.  However, it should be reasonably 
>>> easy to "hide it", as Xu suggests, by prefixing its name with a
>>> space. The the eldoc-display-in-eldoc-buffer display function
>>> just renames it to not have that space, promoting it 
>>> to visible.
>>
>> So the space-prefixed buffer name can (should?) be the default?
>
> Yes. Or rather: by default, if you just use ElDoc like you always did in
> Emacs <28, that buffer shouldn't be bothering you.  I'll see what the
> best implementation for doing that is, but I do suspect it's hiding it
> with a space prefix in the buffer name.

I just pushed a commit fixing this.  Please try it out. The idea is that
if you never M-x eldoc or M-x eldoc-doc-buffer, you are never bothered
by that buffer.  If you do call these commands, the buffer becomes
"interesting" and shows in the normal buffer list, until you kill it,
after which it re-created in space-prefixed "uninterested" form again.

I'm closing this bug, but we could reopen if the problem isn't fixed.

João

Subject: 28.0.50; [eldoc] Impossible to avoid creating the *eldoc for xxx* buffer
From: Xu Chunyang <[email-masked]>
To: [email-masked]
Date: Sat, 31 Oct 2020 02:02:05 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

With eldoc-mode, a buffer like *eldoc for setq* is created and updated
all the time, is it possible to stop it? since I don't need the
buffer at all. If the buffer must be created, maybe make it uninteresting by
prefixing the buffer name with a space.

I've tried the following which does not work.

(remove-hook 'eldoc-display-functions #'eldoc-display-in-buffer)

In GNU Emacs 28.0.50 (build 2, x86_64-apple-darwin19.6.0, NS
appkit-1894.60 Version 10.15.7 (Build 19H2))
 of 2020-10-30 built on mac.lan
Repository revision: 3e63213a1fef16ffe38a5024a83d8782e98aabe1
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7